
# Class: SetProductModel

## Hierarchy

* **SetProductModel**

## Implements

* IDesignAtomsCommand

## Index

### Properties

* [Name](setproductmodel.md#static-name)

### Accessors

* [name](setproductmodel.md#name)

### Methods

* [execute](setproductmodel.md#execute)

## Properties

### `Static` Name

▪ **Name**: *"setProductModel"* = "setProductModel"

## Accessors

###  name

• **get name**(): *string*

**Returns:** *string*

## Methods

###  execute

▸ **execute**(`config`: [ISetProductModelConfig](../interfaces/isetproductmodelconfig.md)‹Product›): *Promise‹void›*

**Parameters:**

Name | Type |
------ | ------ |
`config` | [ISetProductModelConfig](../interfaces/isetproductmodelconfig.md)‹Product› |

**Returns:** *Promise‹void›*
